
Member Nodes - Task #4203

MNDeployment # 3221 (Operational): EDAC member node 

mn.describe is not returning DataONE-specific headers

2013-12-12 20:20 - Rob Nahf

Status: Closed Start date: 2013-12-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

for example:

$ curl -I https://gstore.unm.edu/dataone/v1/object/62140ca7-2ad7-42b3-a447-c3a2e539fea6

HTTP/1.1 200 OK

Date: Thu, 12 Dec 2013 18:37:42 GMT

Server: Apache/2.2.22 (Ubuntu)

Last-Modified: Tue, 05 Nov 2013 20:35:43 GMT

Content-Disposition: attachment; filename=62140ca7-2ad7-42b3-a447-c3a2e539fea6.xml

Content-Length: 24020

Age: 481

Content-Type: fgdc-std-001-1998; charset=UTF-8

a correct response:good example:

$ curl -I https://knb.ecoinformatics.org/knb/d1/mn/v1/object/aceasdata.3.2

HTTP/1.1 200 OK

Date: Thu, 12 Dec 2013 18:43:14 GMT

Server: Apache/2.2.14 (Ubuntu)

Set-Cookie: JSESSIONID=48AF1A302CF65139F31E16D3B81F26A9; Path=/knb; Secure

DataONE-Checksum: MD5,79448fe4ac7419cd82da3cb3ce93b352

Last-Modified: Thu, 01 Jan 1970 00:00:00 GMT

DataONE-ObjectFormat: eml://ecoinformatics.org/eml-2.1.0

DataONE-SerialVersion: 8

Content-Length: 4703

Access-Control-Allow-Origin: *

Vary: Accept-Encoding

Content-Type: text/xml

History

#1 - 2013-12-12 20:21 - Rob Nahf

- Description updated

#2 - 2014-01-15 18:34 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 80

It looks like some of the values of the fields are wrong, specifically  the SerialVersion and ObjectFormat should match what's in the system metadata

for those fields.  The generic Content-Type should correspond to the mime-type, so "text/xml".

$ curl -I https://gstore.unm.edu/dataone/v1/object/62140ca7-2ad7-42b3-a447-c3a2e539fea6

HTTP/1.1 200 OK

Date: Wed, 15 Jan 2014 18:25:47 GMT

Server: Apache/2.2.22 (Ubuntu)

DataONE-ObjectFormat: Content Standard for Digital Geospatial Metadata, version 001-1998

DataONE-Checksum: md5,59a1a7e5cc636e25f3971e6f82b4289e

DataONE-SerialVersion: 1234
Last-Modified: Tue, 05 Nov 2013 20:30:29 GMT

Content-Length: 24020

Content-Type: fgdc-std-001-1998

$ curl https://gstore.unm.edu/dataone/v1/meta/62140ca7-2ad7-42b3-a447-c3a2e539fea6

<?xml version="1.0" encoding="UTF-8"?>

1

62140ca7-2ad7-42b3-a447-c3a2e539fea6

FGDC-STD-001-1998

24020

59a1a7e5cc636e25f3971e6f82b4289e

uid=EDACGSTORE,o=EDAC,dc=everything,dc=EDAC

uid=EDACGSTORE,o=EDAC,dc=everything,dc=EDAC

public

read

 

    <obsoletes>71fd14aa-8c7e-4e89-a3f3-1df2a011db2a</obsoletes>

<dateUploaded>2013-10-14T16:52:08.674723Z</dateUploaded>

<dateSysMetadataModified>2013-11-05T20:30:29.711161Z</dateSysMetadataModified>

<originMemberNode>urn:node:EDACGSTORE</originMemberNode>

<authoritativeMemberNode>urn:node:EDACGSTORE</authoritativeMemberNode>

 

/d1:systemMetadata

#3 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3
#4 - 2014-03-31 20:38 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 80 to 100

- Status changed from In Progress to Closed

appears to be fixed

#5 - 2014-05-01 15:51 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#6 - 2014-06-30 17:52 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational
